| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csImageLoaderOptionsParser Class Reference
[Common Plugin Classes]

Helper class to parse options strings passed to iImageIO::Save(). More...

`#include <csplugincommon/imageloader/optionsparser.h>`

List of all members.

## Public Member Functions
| csImageLoaderOptionsParser (const char *options)
| Initialize parser from a given options string.
bool | GetInt (const char *key, int &v) const
| Fetch an option.

## Detailed Description

Helper class to parse options strings passed to iImageIO::Save().

Options are a comma-separated list and can be specified either like "option" or "option=value".

Definition at line 40 of file optionsparser.h.

## Constructor & Destructor Documentation

csImageLoaderOptionsParser::csImageLoaderOptionsParser | ( | const char * | options | ) |

Initialize parser from a given options string.

## Member Function Documentation

bool csImageLoaderOptionsParser::GetInt | ( | const char * | key,
|  | int & | v |
| ) |  |  | const

Fetch an option.

Parameters:

  | key | The name of the option to retrieve.
  | v | The variable that will receive the parsed value.

Returns:
  Whether the value could be fetched.

The documentation for this class was generated from the following file:

- csplugincommon/imageloader/optionsparser.h